%define rel 2

Summary:	Accessing various Google services via their public API
Name:		libkgapi
Version: 5.3.1
Release:	%mkrel %rel
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		http://www.dvratil.cz/category/akonadi-google/
Source0:	http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kf5-macros

BuildRequires:	cmake(KF5CalendarCore)
BuildRequires:	cmake(KF5Contacts)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WindowSystem)

BuildRequires:	qttools5

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
for various Google services.

Currently supported APIs:
  - Calendar API v3 (https://developers.google.com/google-apps/calendar)
  - Contacts API v3 (https://developers.google.com/google-apps/contacts/v3/)
  - Tasks API v1 (https://developers.google.com/google-apps/tasks)
  - Latitude API v1 (https://developers.google.com/latitude/v1/)
  - Static Google Maps API v2
    (https://developers.google.com/maps/documentation/staticmaps/)
  - Drive API v2 (https://developers.google.com/drive/v2/reference)

%files -f %{name}_qt.lang
%{_kf5_sysconfdir}/xdg/libkgapi.categories

#--------------------------------------------------------------------

%define libkf5gapiblogger_major  5
%define libkf5gapiblogger        %mklibname kf5gapiblogger %{libkf5gapiblogger_major}

%package -n	%{libkf5gapiblogger}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkf5gapiblogger}
Runtime Library for %{name}.

%files -n %{libkf5gapiblogger}
%{_kf5_libdir}/libKF5GAPIBlogger.so.%{libkf5gapiblogger_major}{,.*}

#----------------------------------------------------------------------

%define libkf5gapicalendar_major 5
%define libkf5gapicalendar       %mklibname kf5gapicalendar %{libkf5gapicalendar_major}

%package -n	%{libkf5gapicalendar}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkf5gapicalendar}
Runtime Library for %{name}.

%files -n %{libkf5gapicalendar}
%{_kf5_libdir}/libKF5GAPICalendar.so.%{libkf5gapicalendar_major}{,.*}

#----------------------------------------------------------------------

%define libkf5gapicontacts_major 5
%define libkf5gapicontacts       %mklibname kf5gapicontacts %{libkf5gapicontacts_major}

%package -n	%{libkf5gapicontacts}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkf5gapicontacts}
Runtime Library for %{name}.

%files -n %{libkf5gapicontacts}
%{_kf5_libdir}/libKF5GAPIContacts.so.%{libkf5gapicontacts_major}{,.*}

#----------------------------------------------------------------------

%define libkf5gapicore_major     5
%define libkf5gapicore           %mklibname kf5gapicore %{libkf5gapicore_major}

%package -n	%{libkf5gapicore}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkf5gapicore}
Runtime Library for %{name}.

%files -n %{libkf5gapicore}
%{_kf5_libdir}/libKF5GAPICore.so.%{libkf5gapicore_major}{,.*}

#----------------------------------------------------------------------

%define libkf5gapidrive_major    5
%define libkf5gapidrive          %mklibname kf5gapidrive %{libkf5gapidrive_major}

%package -n	%{libkf5gapidrive}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkf5gapidrive}
Runtime Library for %{name}.

%files -n %{libkf5gapidrive}
%{_kf5_libdir}/libKF5GAPIDrive.so.%{libkf5gapidrive_major}{,.*}

#----------------------------------------------------------------------

%define libkf5gapilatitude_major 5
%define libkf5gapilatitude       %mklibname kf5gapilatitude %{libkf5gapilatitude_major}

%package -n	%{libkf5gapilatitude}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkf5gapilatitude}
Runtime Library for %{name}.

%files -n %{libkf5gapilatitude}
%{_kf5_libdir}/libKF5GAPILatitude.so.%{libkf5gapilatitude_major}{,.*}

#----------------------------------------------------------------------

%define libkf5gapimaps_major     5
%define libkf5gapimaps           %mklibname kf5gapimaps %{libkf5gapimaps_major}

%package -n	%{libkf5gapimaps}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkf5gapimaps}
Runtime Library for %{name}.

%files -n %{libkf5gapimaps}
%{_kf5_libdir}/libKF5GAPIMaps.so.%{libkf5gapimaps_major}{,.*}

#----------------------------------------------------------------------

%define libkf5gapitasks_major    5
%define libkf5gapitasks          %mklibname kf5gapitasks %{libkf5gapitasks_major}

%package -n	%{libkf5gapitasks}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkf5gapitasks}
Runtime Library for %{name}.

%files -n %{libkf5gapitasks}
%{_kf5_libdir}/libKF5GAPITasks.so.%{libkf5gapitasks_major}{,.*}

#----------------------------------------------------------------------

%define libkf5gapi_devel         %mklibname kf5gapi -d

%package -n	%{libkf5gapi_devel}
Summary:	Devel files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkf5gapiblogger} = %{version}
Requires:	%{libkf5gapicalendar} = %{version}
Requires:	%{libkf5gapicontacts} = %{version}
Requires:	%{libkf5gapidrive} = %{version}
Requires:	%{libkf5gapicore} = %{version}
Requires:	%{libkf5gapilatitude} = %{version}
Requires:	%{libkf5gapimaps} = %{version}
Requires:	%{libkf5gapitasks} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	kgapi-devel = %{version}-%{release}
Provides:	kf5gapi-devel = %{version}-%{release}
Provides:	libkf5gapi-devel = %{version}-%{release}

Obsoletes:	%{mklibname kgapi -d} < 2.2.0-5

%description -n %{libkf5gapi_devel}
Devel files for %{name}.

%files -n %{libkf5gapi_devel}
%{_kf5_libdir}/libKF5GAPI*.so
%{_kf5_includedir}/*
%{_kf5_libdir}/cmake/KF5GAPI/
%{_kf5_mkspecsdir}/*.pri

#---------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang_kf5 %{name}_qt


%changelog
* Thu Dec 15 2016 neoclust <neoclust> 5.3.1-2.mga6
+ Revision: 1075426
- Rebuild against new kdepim stack

* Thu Sep 08 2016 daviddavid <daviddavid> 5.3.1-1.mga6
+ Revision: 1050786
- new version: 5.3.1

* Tue Aug 23 2016 daviddavid <daviddavid> 5.3.0-1.mga6
+ Revision: 1048050
- new version: 5.3.0

* Wed Jun 08 2016 daviddavid <daviddavid> 5.1.0-1.mga6
+ Revision: 1020920
- new version: 5.1.0
- port to Qt5/Kf5
- update URL and update description

* Wed Feb 03 2016 umeabot <umeabot> 2.2.0-4.mga6
+ Revision: 934015
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 743239
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 681557
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 fwang <fwang> 2.2.0-1.mga5
+ Revision: 655818
- 2.2.0

* Mon Jul 14 2014 lmenut <lmenut> 2.1.80-1.mga5
+ Revision: 652077
- Update to 2.1.80

* Thu Apr 17 2014 lmenut <lmenut> 2.1.1-1.mga5
+ Revision: 615682
- Update to 2.1.1

* Tue Mar 04 2014 fwang <fwang> 2.1.0-1.mga5
+ Revision: 599318
- update file list
- update file list
- 2.1.0
- bump req

  + neoclust <neoclust>
    - New version 2.0.2 ( Bugfix release)

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-3.mga4
+ Revision: 529340
- Mageia 4 Mass Rebuild

  + fwang <fwang>
    - boost is not required

* Tue Jul 09 2013 fwang <fwang> 2.0.1-2.mga4
+ Revision: 451668
- rebuild for new boost

* Thu Jun 06 2013 fwang <fwang> 2.0.1-1.mga4
+ Revision: 438254
- update file list
- new version 2.0.1

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 357602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 fwang <fwang> 0.4.4-1.mga3
+ Revision: 332516
- new version 0.4.4

* Mon Oct 22 2012 fwang <fwang> 0.4.3-1.mga3
+ Revision: 309090
- new version 0.4.3

* Mon Aug 27 2012 fwang <fwang> 0.4.2-1.mga3
+ Revision: 284570
- new version 0.4.2

* Sun Jul 15 2012 fwang <fwang> 0.4.1-2.mga3
+ Revision: 270934
- obsoletes old libkgoogle

* Tue Jun 12 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 259942
- new version 0.4.1

* Sun Jun 10 2012 fwang <fwang> 0.4.0-1.mga3
+ Revision: 259316
- imported package libkgapi

